import unittest, pprint
from simpleparse import generator
try:
	from TextTools import TextTools
except ImportError:
	from mx.TextTools import TextTools

class BaseGeneratorTests(unittest.TestCase):
	def doBasicTest(self, defn, testvalue, expected ):
		s = generator._BaseGenerator( defn)
		s.build()
		pprint.pprint( s.parserbyname( 'item' ) )
		result = TextTools.tag( testvalue, s.parserbyname( 'item' ) )
		assert result == expected, '''\n\texpected:%s\n\tgot:%s\n'''%( expected, result )
	def testString( self ):
		self.doBasicTest( r'''item:=a\na:="a"''', '"a"', (0,[],3) )
		
def getSuite():
	return unittest.makeSuite(BaseGeneratorTests,'test')

if __name__ == "__main__":
	unittest.main(defaultTest="getSuite")